using System;
using System.ServiceModel.Channels;
using log4net;
using Soya.Util;
using Soya.WCF;

namespace Meteo.Client {
    public class Program {
        private static readonly ILog log = LogManager.GetLogger(typeof (Program));

        public static void Main(params string[] args) {
            log.Info("Starting program...");

            // open service that will process incoming messages
            SoyaServiceHost host = new SoyaServiceHost(typeof (MyClientService));
            host.Open();

            // create outgoing message
            ForecastRequestMsg request = new ForecastRequestMsg();
            request.UserName = "patforna";
            request.City = "Sydney,Australia";
            Message m = Commons.ConvertToMessage(request);
            
            // obtain client from running host and send message
            SoyaClient client = host.GetClient();
            client.Send(m);
            
            Console.ReadLine(); // wait here
        }
    }
}