using System.ServiceModel.Channels;
using log4net;
using Soya.Util;
using Soya.WCF;

namespace Meteo.Service {
    public class MyForecastService : IForecastService {
        private static readonly ILog log = LogManager.GetLogger(typeof (MyForecastService));

        public void Process(ForecastRequestMsg request) {
            log.InfoFormat("Processing request from {0} for city {1}", request.UserName, request.City);

            ForecastDetail detail = new ForecastDetail();
            detail.Condition = "SUNNY";
            detail.Temperature = 28;

            ForecastResponseMsg response = new ForecastResponseMsg();
            response.body = detail;

            Message m = Commons.ConvertToMessage(response);
            SoyaServiceHost.Reply(m);
        }
    }
}